import 'package:flutter/services.dart';

class GTextInputFormatters {
  static final FilteringTextInputFormatter alphaNumericAllowingFTIF =
      FilteringTextInputFormatter.allow(RegExp("[a-zA-Z0-9]"));

  static final FilteringTextInputFormatter alphabetAllowingFTIF =
      FilteringTextInputFormatter.allow(RegExp("[a-zA-Z]"));

  static final FilteringTextInputFormatter alphaAndSpaceAllowingFTIF =
      FilteringTextInputFormatter.allow(RegExp("[a-z A-Z]"));

  static final FilteringTextInputFormatter addressAllowingFTIF =
      FilteringTextInputFormatter.allow(RegExp("[a-zA-Z0-9,._ -]"));

  static final FilteringTextInputFormatter numericAllowingFTIF =
      FilteringTextInputFormatter.allow(RegExp("[0-9]"));

  static final FilteringTextInputFormatter numericAndDecimalAllowingFTIF =
      FilteringTextInputFormatter.allow(RegExp("[0-9.]"));

  static final TextInputFormatter uppercaseTIF =
      TextInputFormatter.withFunction((oldValue, newValue) => TextEditingValue(
            text: newValue.text.toUpperCase(),
            selection: newValue.selection,
          ));
}
