import 'package:flutter/material.dart';
import 'package:global/global.dart';

class GAlertDialog extends GDialog {
  final String title, content;
  final Function? action;

  const GAlertDialog({
    required this.title,
    required this.content,
    this.action,
    super.key,
  });

  @override
  GDialogState<GAlertDialog> createState() => _CustomAlertDialogState();
}

class _CustomAlertDialogState extends GDialogState<GAlertDialog> {
  late GAlertDialog _alertDialog;

  @override
  void initState() {
    super.initState();
    _alertDialog = widget as GAlertDialog;
  }

  @override
  Widget getHeader() => Text(_alertDialog.title.toUpperCase(),
      style: Global.defDialogHeaderStyle);

  @override
  Widget contentBuilder(BuildContext context) => Padding(
        padding: const EdgeInsets.only(left: 5),
        child: Column(
          mainAxisSize: MainAxisSize.min,
          crossAxisAlignment: CrossAxisAlignment.stretch,
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            Text(_alertDialog.content, style: Global.defDialogContentStyle)
          ],
        ),
      );

  @override
  int getButtonCount() => _alertDialog.action == null ? 0 : 1;

  @override
  Widget getButton(int index) => GUtils.getGDialogButton(
        title: GTexts.okay,
        onPressed: () {
          Navigator.pop(context);
          if (_alertDialog.action != null) {
            _alertDialog.action!();
          }
        },
      );
}
